Bug 1008968 - [Doc Feature] EAP62_1140 - Documentation for [RFE] Support Spring + RESTeasy integration
[Doc Feature] EAP62_1140 - Documentation for [RFE] Support Spring + RESTeasy ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER5
: EAP 6.3.0
Assigned To: sgilda
Russell Dickenson
: Documentation, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 08:16 EDT by Russell Dickenson
Modified: 2014-08-14 11:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:32:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Dickenson 2013-09-17 08:16:02 EDT
"The Spring - RESTeasy integration is not covered by the documentation for EAP 6 and neither the JAR is present in RESTEasy module..." See jira for more details. 
--[jira] https://issues.jboss.org/browse/PRODMGT-318
Comment 1 Nichola Moore 2014-05-07 22:29:38 EDT
I have added the resteasy/spring integration module to the module list in the Admin Guide. 

Topic 3891, revision 638755

I've also added a topic to the RESTEasy section of the development guide to provide the most relevant points of the RESTEasy/spring integration documentation, and a link to the actual doco for further reading if required.

Topic 30885, revision 638995

Mention will also be made of the availability of this functionality in the release notes.
Comment 3 Katerina Novotna 2014-05-12 06:13:32 EDT
Development Guide:
- "RESTEasy can integrate with various versions of Spring" - Should be specified which major versions exactly
- web.xml example, needs some nicer indentation
- Link for more information in the end refers to documentation for version 3.0.7 of Resteasy, but EAP 6.3 contains version 2.3.8.Final(community version 2.3.7.Final)
Comment 4 Nikoleta Ziakova 2014-05-12 07:11:19 EDT
Removing from beta blockers list.
Comment 5 sgilda 2014-05-21 11:39:30 EDT
It appears that Nichola fixed the web.xml alignment and link to the RestEasy docs with this update on May 13:

    RESTeasy/Spring integration [30885, rev: 640492]

According to the RESTEasy docs, it integrates with Spring 3.0.x, so I changed the supported version.

I also uppercased the E in RESTEasy in the title.

Changed: RESTeasy/Spring integration [30885, rev: 642312]
Comment 6 sgilda 2014-05-21 17:06:25 EDT
Taking this so I can follow up on it.
Comment 8 Katerina Novotna 2014-06-06 08:13:45 EDT
Verified in 6.3.0.ER5.

Note You need to log in before you can comment on or make changes to this bug.